Yandex Cloud
Поиск
Связаться с экспертомПопробовать бесплатно
  • Кейсы
  • Документация
  • Блог
  • Все сервисы
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Yandex AI Studio
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Video
    • Stackland
    • Yandex Cloud Router
    • Yandex Managed Service for Trino
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Yandex StoreDoc
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Managed Service for YDB
    • Managed Service for Sharded PostgreSQL
    • Managed Service for YTsaurus
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • SpeechKit
    • DataSphere
    • Vision OCR
    • Translate
    • Yandex Neurosupport
    • Yandex Cloud Detection and Response
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • SmartCaptcha
    • Cloud Desktop
    • GOST Gateway
    • Yandex SIEM
    • SourceCraft Code Assistant
    • Container Registry
    • Managed Service for GitLab
    • SourceCraft
    • Managed Service for Prometheus®
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Message Queue
    • Serverless Integrations
    • IoT Core
    • Data Streams
    • Serverless Containers
    • Cloud Notification Service
    • Yandex Query
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Yandex Cloud Quota Manager
    • Cloud Apps
  • Статус работы сервисов
  • Marketplace
    • Популярные
    • Инфраструктура и сеть
    • Платформа данных
    • Искусственный интеллект
    • Безопасность
    • Инструменты DevOps
    • Бессерверные вычисления
    • Управление ресурсами
  • Все решения
    • По отраслям
    • По типу задач
    • Экономика платформы
    • Yandex Cloud Trust
    • Техническая поддержка
    • Каталог партнёров
    • Обучение и сертификация
    • Облако для стартапов
    • Облако для крупного бизнеса
    • Центр технологий для общества
    • Облако для интеграторов
    • Поддержка IT-бизнеса
    • Облако для фрилансеров
    • Обучение и сертификация
    • Блог
    • Документация
    • Контент-программа
    • Мероприятия и вебинары
    • Контакты, чаты и сообщества
    • Идеи
    • Калькулятор цен
    • Тарифы
    • Акции и free tier
  • Кейсы
  • Документация
  • Блог
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ООО «Яндекс.Облако»
Yandex DataLens
  • Нейроаналитик DataLens
  • Галерея в DataLens
    • Как пользоваться Public API
    • Версионирование
    • История изменений
      • Overview
        • Overview
        • Get entries, workbooks and collections permissions
  • Аудитные логи Audit Trails

В этой статье:

  • Request
  • Headers
  • Body
  • Responses
  • 200 OK
  • Body
  1. DataLens Public API
  2. DataLens API (англ.)
  3. Permissions
  4. Get entries, workbooks and collections permissions
Статья создана
Yandex Cloud
Открыть в Markdown
  • Request
    • Headers
    • Body
  • Responses
  • 200 OK
    • Body

Get entries, workbooks and collections permissions

Returns permissions for the specified DataLens entries, workbooks and collections.

RequestRequest

POST

https://api.datalens.tech/rpc/getPermissionsBulk

HeadersHeaders

Name

Description

x-dl-api-version

Type: string

API version header.

Const: 2

Example: 2

BodyBody

application/json
{
  "entryIds": [
    "example"
  ],
  "workbookIds": [
    "example"
  ],
  "collectionIds": [
    "example"
  ]
}

Name

Description

collectionIds

Type: string[]

Identifiers of the collections to check permissions for.

Min items: 1

Max items: 1000

Example
[
  "example"
]

entryIds

Type: string[]

Identifiers of the entries to check permissions for.

Min items: 1

Max items: 1000

Example
[
  "example"
]

workbookIds

Type: string[]

Identifiers of the workbooks to check permissions for.

Min items: 1

Max items: 1000

Example
[
  "example"
]

ResponsesResponses

200 OK200 OK

Response

BodyBody

application/json
{
  "entries": {},
  "workbooks": {},
  "collections": {}
}

Name

Description

collections

Type: object

[additional]

Any of 2 types
  • Type: object

    permissions

    Type: object

    copy

    Type: boolean

    Indicates if the collection can be copied.

    createCollection

    Type: boolean

    Indicates if child collections can be created in the collection.

    createSharedEntry

    Type: boolean

    Indicates if shared entries can be created in the collection.

    createWorkbook

    Type: boolean

    Indicates if workbooks can be created in the collection.

    delete

    Type: boolean

    Indicates if the collection can be deleted.

    limitedView

    Type: boolean

    Indicates if the collection can be viewed with limited access.

    listAccessBindings

    Type: boolean

    Indicates if access bindings for the collection can be listed.

    move

    Type: boolean

    Indicates if the collection can be moved.

    update

    Type: boolean

    Indicates if the collection can be updated.

    updateAccessBindings

    Type: boolean

    Indicates if access bindings for the collection can be updated.

    view

    Type: boolean

    Indicates if the collection can be viewed.

    Permissions for the collection.

    Example
    {
      "listAccessBindings": true,
      "updateAccessBindings": true,
      "createSharedEntry": true,
      "createCollection": true,
      "createWorkbook": true,
      "limitedView": true,
      "view": true,
      "update": true,
      "copy": true,
      "move": true,
      "delete": true
    }
    
    Example
    {
      "permissions": {
        "listAccessBindings": true,
        "updateAccessBindings": true,
        "createSharedEntry": true,
        "createCollection": true,
        "createWorkbook": true,
        "limitedView": true,
        "view": true,
        "update": true,
        "copy": true,
        "move": true,
        "delete": true
      }
    }
    
  • Type: object

    error

    Type: string

    Error code indicating a missing resource.

    Const: NOT_FOUND

    Example: example

    Example
    {
      "error": "NOT_FOUND"
    }
    
Example
{
  "permissions": {
    "listAccessBindings": true,
    "updateAccessBindings": true,
    "createSharedEntry": true,
    "createCollection": true,
    "createWorkbook": true,
    "limitedView": true,
    "view": true,
    "update": true,
    "copy": true,
    "move": true,
    "delete": true
  }
}

Collection permissions or errors indexed by collection ID.

Example
{}

entries

Type: object

[additional]

Any of 2 types
  • Type: object

    fullPermissions

    Type: object

    copy

    Type: boolean

    Permission to copy.

    createEntryBinding

    Type: boolean

    Permission to create entry binding.

    createLimitedEntryBinding

    Type: boolean

    Permission to create limited entry binding.

    delete

    Type: boolean

    Permission to delete.

    limitedView

    Type: boolean

    Permission for limited viewing.

    listAccessBindings

    Type: boolean

    Permission to list access bindings.

    move

    Type: boolean

    Permission to move.

    update

    Type: boolean

    Permission to update.

    updateAccessBindings

    Type: boolean

    Permission to update access bindings.

    view

    Type: boolean

    Permission to view.

    Full permissions for the entry.

    Example
    {
      "listAccessBindings": true,
      "updateAccessBindings": true,
      "limitedView": true,
      "view": true,
      "update": true,
      "copy": true,
      "move": true,
      "delete": true,
      "createEntryBinding": true,
      "createLimitedEntryBinding": true
    }
    

    permissions

    Type: object

    admin

    Type: boolean

    Indicates if there are permissions for admin.

    edit

    Type: boolean

    Indicates if there are permissions to edit.

    execute

    Type: boolean

    Indicates if there are permissions to execute.

    read

    Type: boolean

    Indicates if there are permissions to read.

    Basic permissions for the entry.

    Example
    {
      "execute": true,
      "read": true,
      "edit": true,
      "admin": true
    }
    
    Example
    {
      "permissions": {
        "execute": true,
        "read": true,
        "edit": true,
        "admin": true
      },
      "fullPermissions": {
        "listAccessBindings": true,
        "updateAccessBindings": true,
        "limitedView": true,
        "view": true,
        "update": true,
        "copy": true,
        "move": true,
        "delete": true,
        "createEntryBinding": true,
        "createLimitedEntryBinding": true
      }
    }
    
  • Type: object

    error

    Type: string

    Error code indicating a missing resource.

    Const: NOT_FOUND

    Example: example

    Example
    {
      "error": "NOT_FOUND"
    }
    
Example
{
  "permissions": {
    "execute": true,
    "read": true,
    "edit": true,
    "admin": true
  },
  "fullPermissions": {
    "listAccessBindings": true,
    "updateAccessBindings": true,
    "limitedView": true,
    "view": true,
    "update": true,
    "copy": true,
    "move": true,
    "delete": true,
    "createEntryBinding": true,
    "createLimitedEntryBinding": true
  }
}

Entry permissions or errors indexed by entry ID.

Example
{}

workbooks

Type: object

[additional]

Any of 2 types
  • Type: object

    permissions

    Type: object

    copy

    Type: boolean

    Indicates if the workbook can be copied.

    delete

    Type: boolean

    Indicates if the workbook can be deleted.

    embed

    Type: boolean

    Indicates if entries in the workbook can be embedded.

    limitedView

    Type: boolean

    Indicates if the workbook can be viewed with limited access.

    listAccessBindings

    Type: boolean

    Indicates if access bindings for the workbook can be listed.

    move

    Type: boolean

    Indicates if the workbook can be moved.

    publish

    Type: boolean

    Indicates if entries in the workbook can be published.

    update

    Type: boolean

    Indicates if the workbook can be updated.

    updateAccessBindings

    Type: boolean

    Indicates if access bindings for the workbook can be updated.

    view

    Type: boolean

    Indicates if the workbook can be viewed.

    Permissions for the workbook.

    Example
    {
      "listAccessBindings": true,
      "updateAccessBindings": true,
      "limitedView": true,
      "view": true,
      "update": true,
      "copy": true,
      "move": true,
      "publish": true,
      "embed": true,
      "delete": true
    }
    
    Example
    {
      "permissions": {
        "listAccessBindings": true,
        "updateAccessBindings": true,
        "limitedView": true,
        "view": true,
        "update": true,
        "copy": true,
        "move": true,
        "publish": true,
        "embed": true,
        "delete": true
      }
    }
    
  • Type: object

    error

    Type: string

    Error code indicating a missing resource.

    Const: NOT_FOUND

    Example: example

    Example
    {
      "error": "NOT_FOUND"
    }
    
Example
{
  "permissions": {
    "listAccessBindings": true,
    "updateAccessBindings": true,
    "limitedView": true,
    "view": true,
    "update": true,
    "copy": true,
    "move": true,
    "publish": true,
    "embed": true,
    "delete": true
  }
}

Workbook permissions or errors indexed by workbook ID.

Example
{}

Была ли статья полезна?

Предыдущая
Overview
Следующая
Overview
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ООО «Яндекс.Облако»